Apache JMeter

## org.apache.jmeter.protocol.http.util
Class SlowHC4SSLSocketFactory

    java.lang.Object
      org.apache.http.conn.ssl.SSLSocketFactory
          org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory
              org.apache.jmeter.protocol.http.util.SlowHC4SSLSocketFactory

All Implemented Interfaces:
  org.apache.http.conn.scheme.LayeredSchemeSocketFactory, org.apache.http.conn.scheme.LayeredSocketFactory, org.apache.http.conn.scheme.SchemeSocketFactory, org.apache.http.conn.scheme.SocketFactory

    public class SlowHC4SSLSocketFactory

extends HC4TrustAllSSLSocketFactory

Apache HttpClient protocol factory to generate "slow" SSL sockets for emulating dial-up modems

Field Summary

Fields inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`ALLOW_ALL_HOSTNAME_VERIFIER, BROWSER_COMPATIBLE_HOSTNAME_VERIFIER, SSL, SSLV2, STRICT_HOSTNAME_VERIFIER, TLS`

Constructor Summary
`SlowHC4SSLSocketFactory(int cps)` Create a factory

Method Summary
`Socket` `createSocket()`
`Socket` `createSocket(org.apache.http.params.HttpParams params)`

Methods inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`connectSocket, connectSocket, createLayeredSocket, createSocket, getHostnameVerifier, getSocketFactory, isSecure, setHostnameVerifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowHC4SSLSocketFactory

    public SlowHC4SSLSocketFactory(int cps)
                            throws GeneralSecurityException

  Create a factory

  Parameters:
    `cps` - - characters per second, must be > 0
  Throws:
    `GeneralSecurityException` - if there's a problem setting up the security
    `IllegalArgumentException` - if cps ≤ 0

Method Detail

### createSocket

    public Socket createSocket(org.apache.http.params.HttpParams params)

  Specified by:
    `createSocket` in interface `org.apache.http.conn.scheme.SchemeSocketFactory`
  Overrides:
    `createSocket` in class `org.apache.http.conn.ssl.SSLSocketFactory`

### createSocket

    public Socket createSocket()

  Specified by:
    `createSocket` in interface `org.apache.http.conn.scheme.SocketFactory`
  Overrides:
    `createSocket` in class `org.apache.http.conn.ssl.SSLSocketFactory`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.